html, body {
  min-height: 100vh;
}

select {
  max-width: 100%;
}

body {
  position: relative;
}
body header {
  background-size: cover;
  background-position: center bottom;
  height: 100px;
  display: none;
  align-items: center;
  padding: 0 30px;
}
body header .navbar-brand {
  color: #fff;
  text-transform: uppercase;
  font-weight: bold;
  font-size: 30px;
}
body.home header {
  height: 300px;
}
body.recipe-page header {
  background: #333 !important;
}

aside {
  padding-top: 20px;
}

.container h1 {
  margin-top: 20px;
}

.action-container {
  cursor: pointer;
  position: fixed;
  bottom: 50px;
  right: 50px;
}
.action-container:hover .edit-profile-float {
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5);
  transform: translateY(-70px);
}

.add-recipe-float,
.edit-profile-float {
  width: 64px;
  height: 64px;
  background-color: #0a0;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  font-size: 30px;
  box-shadow: 3px 3px 5px rgba(0, 0, 0, 0.5);
  text-decoration: none;
  z-index: 20;
  transition: transform 0.4s, box-shadow 0.4s;
  position: absolute;
  bottom: 0;
  right: 0;
}
.add-recipe-float i,
.edit-profile-float i {
  transition: transform 0.4s;
}
.add-recipe-float:hover,
.edit-profile-float:hover {
  text-decoration: none;
}
.add-recipe-float:hover i,
.edit-profile-float:hover i {
  color: #fff;
  transform: rotate(90deg);
}

.edit-profile-float {
  background-color: #c90;
  box-shadow: none;
  z-index: 19;
}
.edit-profile-float svg {
  fill: #fff;
  width: 30px;
  height: 30px;
}
.edit-profile-float svg path {
  width: 30px;
  height: 30px;
}

.navbar-collapse {
  position: absolute;
  left: 0;
  top: 48px;
  background-color: #fafafa;
  width: 100%;
  z-index: 99;
}
.navbar-collapse li a.nav-link {
  display: block;
  padding: 10px !important;
}
.navbar-collapse li a.nav-link:hover {
  background-color: #333;
  color: #fff !important;
}

.main-content {
  min-height: calc(100vh - 250px);
}

.imperial .met {
  display: none !important;
}

.metric .imp {
  display: none !important;
}

.warning-icon {
  fill: #856404;
}

.unit-switch label {
  display: flex;
  flex-direction: row;
}
.unit-switch .sw-outer {
  width: 50px;
  height: 25px;
  background-color: #fefefe;
  border: 1px solid #ced4da;
  border-radius: 3px;
  margin: 0 5px;
  padding: 1px;
  box-sizing: border-box;
}
.unit-switch .sw-inner {
  width: 21px;
  height: 21px;
  border-left: 1px solid #aaaaff;
  border-top: 1px solid #aaaaff;
  border-right: 1px solid #0000aa;
  border-bottom: 1px solid #0000aa;
  border-radius: 3px;
  background-color: #007bff;
  transition: transform 0.5s;
}
.unit-switch input {
  visibility: hidden;
  position: absolute;
  top: 0;
  left: 0;
}
.unit-switch input:checked + .sw-inner {
  transform: translateX(25px);
}

.btn-row-container {
  width: 100%;
  text-align: center;
  margin: 30px 0;
}
.btn-row-container .btn {
  width: 120px;
  margin: 5px;
  display: block;
}

.modal-body {
  overflow-y: auto;
  max-height: calc(100vh - 80px);
}

@media only screen and (min-width: 640px) {
  .navbar-collapse {
    position: static;
  }
}
.inline-radio ul {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-direction: row;
}
.inline-radio ul li {
  width: 100px;
}
.inline-radio ul li label input {
  vertical-align: middle;
}

.bmi {
  color: #333;
  font-size: 30px;
  padding: 5px;
  text-align: center;
  font-weight: bold;
  margin-bottom: 40px;
}
.bmi.severe {
  background-color: #f00;
  color: #fff;
}
.bmi.moderate {
  background-color: #faa;
  color: #fff;
}
.bmi.normal {
  background-color: #0a0;
  color: #fff;
}
.bmi.overweight {
  background-color: #c90;
  color: #fff;
}
.bmi.obese1 {
  background-color: #faa;
  color: #fff;
}
.bmi.obese2 {
  background-color: #f00;
  color: #fff;
}
.bmi.obese3 {
  background-color: #a00;
  color: #fff;
}
.bmi span {
  display: block;
  font-size: 12px;
  text-transform: uppercase;
}

.tdee {
  border: 1px solid #333;
  font-size: 30px;
  padding: 5px;
  text-align: center;
  font-weight: bold;
  margin-bottom: 40px;
}
.tdee span {
  display: block;
  font-size: 12px;
  text-transform: uppercase;
}

.minkcal {
  color: #0a0;
  text-decoration: underline;
  cursor: pointer;
}

#add-ingredient strong,
#add-step strong {
  font-size: 30px;
  vertical-align: top;
}

.veg-container {
  font-size: 12px;
  text-transform: uppercase;
  font-weight: bold;
  color: #070;
  line-height: 24px;
}

.recipe-form textarea {
  min-height: 100px;
}
.recipe-form .steps-section {
  background-color: #fafafa;
  padding: 20px;
  margin-bottom: 20px;
}
.recipe-form .steps-section label {
  font-size: 40px;
  font-weight: bold;
  color: #aaa;
  text-align: right;
}

.c-search-container {
  position: relative;
  padding: 0 !important;
}

#commodity {
  background-color: #fff;
  cursor: pointer;
  position: relative;
}

#com_results {
  display: none;
}

#com_search {
  box-shadow: 2px 2px 3px #000;
  display: none;
  position: absolute;
  left: 0;
  top: 36px;
  background-color: #fff;
  border: 1px solid #ced4da;
  border-radius: 0 0 3px 3px;
  width: 100%;
  max-height: 300px;
  overflow: auto;
  z-index: 2;
  padding: 5px;
  cursor: pointer;
}
#com_search i {
  position: absolute;
  top: 15px;
  right: 15px;
  color: #666;
}
#com_search ul {
  margin: 0;
  padding: 5px;
  list-style: none;
}
#com_search li {
  line-height: 2;
  padding: 0 5px;
}
#com_search li:hover {
  background-color: #fafafa;
}

.add-ingredient-container {
  padding: 10px;
  border-radius: 4px;
  background-color: #fafafa;
}
.add-ingredient-container label {
  padding-left: 0 !important;
}
.add-ingredient-container h3 {
  padding-left: 0 !important;
}

.amount-alert,
.commodity-alert {
  display: none;
}

.recipe-img-container {
  width: 100%;
  padding-top: 100%;
  background-size: cover;
  background-position: center center;
  margin-bottom: 20px;
}

#ingredients_list,
#ingredients_list_imp {
  margin: 20px 0;
  padding: 0;
  list-style: none;
  display: block;
  width: 100%;
}
#ingredients_list li,
#ingredients_list_imp li {
  display: flex;
  position: relative;
  flex-direction: row;
  width: 100%;
  padding: 4px 0;
  border-bottom: 1px dotted #ced4da;
  align-items: flex-end;
}
#ingredients_list li span:first-child,
#ingredients_list_imp li span:first-child {
  width: 80px;
}
#ingredients_list li small,
#ingredients_list_imp li small {
  font-size: 12px;
  margin-left: 5px;
}
#ingredients_list li .del-ing,
#ingredients_list_imp li .del-ing {
  position: absolute;
  right: 0;
  top: 8px;
  display: none;
  background-color: #a00;
  color: #fff;
  height: 16px;
  width: 16px;
  line-height: 16px;
  font-weight: bold;
  text-align: center;
  border-radius: 4px;
  cursor: pointer;
}
#ingredients_list li:hover .del-ing,
#ingredients_list_imp li:hover .del-ing {
  display: block;
}

.recipe-list .card {
  margin: 10px 0;
}
.recipe-list .card .card-img-top {
  width: 100%;
  padding-top: 75%;
  background-size: cover;
  background-position: center center;
}

#my_recipes,
#latest_recipes {
  margin: 20px 0;
}

.recipe-list {
  display: flex;
  justify-content: center;
}

.recipe-cards a {
  color: #333;
  text-decoration: none;
}
.recipe-cards a:hover {
  color: #333;
  text-decoration: none;
}
.recipe-cards .card-body {
  min-height: 150px;
}

.recipe-header {
  background-color: #fafafa;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.3);
}
.recipe-header .title-bar {
  position: relative;
  min-height: 200px;
  overflow: hidden;
  border-bottom: 10px solid #fafafa;
}
.recipe-header .title-bar .thumbnail {
  width: 100%;
  padding-top: 75%;
  background-size: cover;
  background-position: center;
  position: absolute;
  top: 0;
  left: 0;
}
.recipe-header .title-bar h1 {
  font-size: 40px;
  text-transform: uppercase;
  color: #333;
  font-weight: bold;
  position: absolute;
  bottom: 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.5);
  left: 0;
}
.recipe-header .title-bar h1 a {
  color: #fff;
}

.recipe-header-bg-outer {
  display: none;
  height: 200px;
  overflow: hidden;
}

.recipe-header-bg {
  background-size: cover;
  background-position: center center;
  width: calc(100% + 20px);
  filter: blur(10px);
  height: 220px;
  transform: translate(-10px, -10px);
}

.recipe-body {
  padding: 30px;
  line-height: 1.5;
}
.recipe-body .intro {
  background-color: #fafafa;
  font-size: 18px;
  letter-spacing: 0.5px;
  padding: 30px;
}
.recipe-body .steps h2 {
  margin: 20px 0;
}
.recipe-body .steps ol {
  margin-top: 20px;
  margin-right: 20px;
}
.recipe-body .steps ol li {
  margin-bottom: 20px;
  vertical-align: top;
  letter-spacing: 0.8px;
  font-size: 18px;
  position: relative;
  border-bottom: 1px dotted #ced4da;
}
.recipe-body .steps ol li::marker {
  font-size: 40px;
}
.recipe-body .steps ol li:last-child {
  border-bottom: 0;
}
.recipe-body .steps ol li input {
  position: absolute;
  top: 0;
  right: 0;
  visibility: hidden;
}
.recipe-body .steps ol li input:checked + label {
  color: #666;
  text-decoration: line-through;
}
.recipe-body .steps ol li label {
  padding: 15px 5px;
  vertical-align: middle;
  width: 100%;
  display: inline-block;
  cursor: pointer;
}
.recipe-body .steps ol li label:hover {
  background-color: #fafafa;
}
.recipe-body .notes {
  font-size: 18px;
  padding: 30px;
  background-color: #fafafa;
}
.recipe-body .recipe-info .social {
  border-top: 1px solid #666;
  border-bottom: 1px solid #666;
  margin-bottom: 20px;
  padding: 5px 0;
  text-align: right;
}
.recipe-body .recipe-info h4 {
  margin: 10px 0;
  padding: 6px;
  text-transform: uppercase;
  font-size: 16px;
  background-color: #fafafa;
}
.recipe-body .recipe-info .ing-header {
  margin: 10px 0;
  padding: 6px;
  background-color: #fafafa;
}
.recipe-body .recipe-info .ing-header label {
  margin-bottom: 0;
}
.recipe-body .recipe-info .ing-header h4 {
  padding: 0;
  margin: 0;
}
.recipe-body .recipe-info ul {
  font-size: 18px;
  line-height: 1.5;
  list-style: none;
  margin: 0;
  padding: 2px;
}
.recipe-body .recipe-info ul li {
  display: flex;
  flex-direction: row;
  align-items: baseline;
  line-height: 30px;
}
.recipe-body .recipe-info ul li label {
  flex: 2;
}
.recipe-body .recipe-info ul li span {
  flex: 1;
  text-align: right;
  display: inline-block;
  padding: 0 5px;
  cursor: default;
}
.recipe-body .recipe-info ul li span.dif {
  display: flex;
}
.recipe-body .recipe-info ul.ingredients li {
  line-height: 1;
  border-bottom: 1px dotted #ced4da;
  margin-bottom: 10px;
  position: relative;
}
.recipe-body .recipe-info ul.ingredients li input {
  visibility: hidden;
  position: relative;
  top: 0;
  right: 0;
}
.recipe-body .recipe-info ul.ingredients li input:checked + label {
  text-decoration: line-through;
  color: #666;
}
.recipe-body .recipe-info ul.ingredients li label {
  display: flex;
  flex-direction: row;
  padding: 5px 0;
  cursor: pointer;
}
.recipe-body .recipe-info ul.ingredients li label:hover {
  background-color: #fafafa;
}
.recipe-body .recipe-info ul.ingredients li .amnt {
  flex: 1;
}
.recipe-body .recipe-info ul.ingredients li .cname {
  flex: 2;
}
.recipe-body .recipe-info ul.ingredients li .cname small {
  display: block;
  color: #666;
}
.recipe-body .recipe-info ul.ingredients li:last-child {
  border-bottom: 0;
}
.recipe-body .recipe-info .ri-difficulty .dif {
  font-size: 30px;
}
.recipe-body .recipe-info span {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}
.recipe-body .recipe-info span div {
  width: 20px;
  height: 20px;
  margin-left: 5px;
  background-color: #ced4da;
}
.recipe-body .recipe-info span.difficulty-1 div:first-child {
  background-color: #070;
}
.recipe-body .recipe-info span.difficulty-2 div {
  background-color: #c90;
}
.recipe-body .recipe-info span.difficulty-2 div:last-child {
  background-color: #ced4da;
}
.recipe-body .recipe-info span.difficulty-3 div {
  background-color: #f00;
}
.recipe-body .recipe-info .ri-calories span {
  color: #fff;
}
.recipe-body .recipe-info .ri-calories.energy-density-0 span {
  background-color: #070;
}
.recipe-body .recipe-info .ri-calories.energy-density-1 span {
  background-color: #0a0;
}
.recipe-body .recipe-info .ri-calories.energy-density-2 span {
  background-color: #c90;
}
.recipe-body .recipe-info .ri-calories.energy-density-3 span {
  background-color: #f00;
}
.recipe-body .recipe-info .ri-sodium span {
  color: #fff;
}
.recipe-body .recipe-info .ri-sodium.sodium-0 span {
  background-color: #050;
}
.recipe-body .recipe-info .ri-sodium.sodium-1 span {
  background-color: #070;
}
.recipe-body .recipe-info .ri-sodium.sodium-2 span {
  background-color: #0a0;
}
.recipe-body .recipe-info .ri-sodium.sodium-3 span {
  background-color: #c90;
}
.recipe-body .recipe-info .ri-sodium.sodium-4 span {
  background-color: #a00;
}

@media only screen and (min-width: 640px) {
  .recipe-header-bg-outer {
    display: block;
  }

  .recipe-header .title-bar {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    margin-top: -180px;
    overflow: auto;
    z-index: 2;
    border-bottom: 0;
  }
  .recipe-header .title-bar .thumbnail {
    width: 200px;
    min-width: 200px;
    height: 200px;
    padding-top: 0;
    background-size: cover;
    background-position: center;
    position: static;
    border: 30px solid #fafafa;
    box-sizing: content-box;
  }
  .recipe-header .title-bar h1 {
    font-size: 40px;
    text-transform: uppercase;
    color: #333;
    font-weight: bold;
    position: static;
    margin: 0 0 15px;
    background: transparent;
  }
}
#energy-density {
  font-size: 30px;
  padding: 5px;
  text-align: center;
  font-weight: bold;
  text-transform: uppercase;
  color: #fff;
}
#energy-density.high {
  background-color: #f00;
}
#energy-density.medium {
  background-color: #c90;
}
#energy-density.low {
  background-color: #0a0;
}
#energy-density.very.low {
  background-color: #070;
}

#id_veg {
  max-width: 100%;
}

.commodity-info {
  background-color: #fafafa;
  text-align: center;
  padding: 20px;
  margin-bottom: 20px;
}

footer {
  background-color: #333;
  color: #fff;
  padding: 50px 0;
  text-align: center;
  margin-top: 50px;
}

/*# sourceMappingURL=app.css.map */
